local helmapp = import "../_templates/argo_helm_app.libsonnet";

[
helmapp + {
  name:: "ingress-nginx",
  repo:: "https://kubernetes.github.io/ingress-nginx",
  version:: "4.0.*",
  values:: |||
    controller:
      image:
        pullPolicy: Always
      service:
        externalTrafficPolicy: Local
      metrics:
        enabled: true
        serviceMonitor:
          enabled: true
          additionalLabels:
            release: prometheus-grafana  # same as prometheus-community chart name
  |||
}
]
